Subject: Re: cygrunsrv: possible solution to a common problem -- suggested patch
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 23 Oct 2001 10:34:53 +1000

I hate to be a wet blanket, but this isn't the correct solution.

Well, actually it is, just the wrong service is being depended on.

Why not LanManWorkstation? It's the MS network client. Cygwin doesn't
depend on that, and some folk (I'm one) do not run it. In fact, folk on
Novell networks that have performance tuned their NT workstations && use
NAL for management are also unlikely to run it..

I suggest depending on the TCPIP service instead.

Rob

----- Original Message -----
From: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, October 23, 2001 6:40 AM
Subject: Re: cygrunsrv: possible solution to a common problem --
suggested patch

> On Mon, Oct 22, 2001 at 08:21:17PM +0100, Miles Sabin wrote:
> > suggested that adding --dep LanmanWorkstation would help.
> >
> > And it did ... automatic startup now seems to work perfectly. My
> > hunch is that this will also cure startup problems with other
daemons
> > which attempt to bind ports early on in their startup sequence.
>
> Very good!
>
> Since I've messed with the cygrunsrv source before, I took a few
> minutes to write up an addition to the cygrunsrv.README file to
> describe the solution that you found.
>
> I no longer follow the Cygwin developer lists, so I'm posting the
> suggested patch here.
>
> --
> Fred Yankowski           [email-masked]      tel: +1.630.879.1312
> Principal Consultant     www.OntoSys.com       fax: +1.630.879.1370
> OntoSys, Inc             38W242 Deerpath Rd, Batavia, IL 60510, USA
>
> --
> 2001-10-22  Fred Yankowski  <[email-masked]>
>
> * cygrunsrv.README: Suggest dependency on LanmanWorkstation.
>
> --
>
> Index: cygrunsrv.README
> ===================================================================
> RCS file: /home/cvs/cvsroot/src/cygrunsrv/cygrunsrv.README,v
> retrieving revision 1.2
> diff -u -p -r1.2 cygrunsrv.README
> --- cygrunsrv.README 2001/06/28 20:31:56 1.2
> +++ cygrunsrv.README 2001/10/22 20:36:21
> @@ -331,6 +331,16 @@ appropriate code to run as Windows servi
>  of cygrunsrv.
>
>  **********************************************
> +Troubleshooting
> +
> +If the service fails to start, consider whether the service process
> +depends on other services and reinstall the service using the '--dep'
> +parameter to ensure that those other services are running first.  In
> +particular, any service application that uses network services (such
> +as socket connections) depends on the "Workstation" service; this
> +dependency can be declared as '--dep LanmanWorkstation'.
> +
> +**********************************************
>  Contact Information
>
>  For support, contact the cygwin mailing list [email-masked].
cygrunsrv was originally created by Corinna Vinschen.
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/